Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233528 - iText should provide an old-style ABI library for pdftk
Summary: iText should provide an old-style ABI library for pdftk
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: itext
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anthony Green
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 236224
Blocks: 233514
TreeView+ depends on / blocked
 
Reported: 2007-03-22 21:56 UTC by Thomas Fitzsimmons
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-22 14:53:23 UTC


Attachments (Terms of Use)

Description Thomas Fitzsimmons 2007-03-22 21:56:07 UTC
pdftk uses CNI and depends on iText.  It currently bundles it, since it needs to
recompile it using the old-style GCJ ABI.  Can the iText package provide an
old-style ABI library in addition to the BC ABI shared object it currently provides?

Comment 1 Thomas Fitzsimmons 2007-04-12 15:54:01 UTC
Actually, it should be sufficient to build iText with -fno-indirect-classes.


Comment 2 Thomas Fitzsimmons 2007-04-12 16:07:48 UTC
Note that it's only worth doing this once 236224 is resolved.


Comment 3 Jochen Schmitt 2007-05-24 17:23:50 UTC
I have done some test to include the itext package instead of the bundled itext
from pdftk.

Unfrotunately; I have found out, that I need C-styled headers file and object
modules for acces to itext.

Comment 4 Anthony Green 2007-06-22 14:53:23 UTC
I've just removed the itext package due to licensing problems. 


Note You need to log in before you can comment on or make changes to this bug.